Bug 426073 - up2date returns exit code 1 when it should return 0
up2date returns exit code 1 when it should return 0
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-18 03:28 EST by Jan Hutař
Modified: 2010-03-28 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 12:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2007-12-18 03:28:43 EST
Description of problem:
On RHEL-2.1 "up2date -u" returns exit code 1 when there are no packages to 
update. up2date returns 0 in same situation on the RHEL-3.


Version-Release number of selected component (if applicable):
up2date-2.9.14-1.2.1AS


How reproducible:
always


Steps to Reproduce:
1. # up2date -u   # do all the updates
2. # up2date -u   # -> None of the packages you requested were found, or they 
are already updated.
3. # echo $?


Actual results:
1


Expected results:
0


Additional info:
Setting this as low/low, we just think it should be reported.

From man page:
RETURN CODES
       Update Agent returns 0 on success, 1 on error.

Note You need to log in before you can comment on or make changes to this bug.